fuse_loop_config Struct Reference

`#include <fuse_common.h>`

## Data Fields

int | clone_fd
unsigned int | max_idle_threads

## Detailed Description

Configuration parameters passed to fuse_session_loop_mt() and fuse_loop_mt().

Definition at line 86 of file fuse_common.h.

## Field Documentation

## clone_fd

int fuse_loop_config::clone_fd

whether to use separate device fds for each thread (may increase performance)

Definition at line 91 of file fuse_common.h.

## max_idle_threads

unsigned int fuse_loop_config::max_idle_threads

The maximum number of available worker threads before they start to get deleted when they become idle. If not specified, the default is 10.

Adjusting this has performance implications; a very small number of threads in the pool will cause a lot of thread creation and deletion overhead and performance may suffer. When set to 0, a new thread will be created to service every operation.

Definition at line 103 of file fuse_common.h.

The documentation for this struct was generated from the following file:

- include/fuse_common.h